> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment obligations

> Create a payment obligations

### Request body

`CreatePaymentObligationRequest`

<ParamField body="amount" type="string" required>
  Amount owed as a string (must be positive).
</ParamField>

<ParamField body="due_date" type="string" required>
  Due date in ISO `YYYY-MM-DD` form.
</ParamField>

<ParamField body="notes" type="string,null" />

<ParamField body="purchase_order_id" type="string,null" />

<ParamField body="supplier_id" type="string" required />

### Responses

<ResponseField name="201" type="PaymentObligationResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/payment-obligations' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "due_date": "string",
    "notes": null,
    "purchase_order_id": null,
    "supplier_id": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "amount": "string",
    "amount_paid": "string",
    "currency": "string",
    "due_date": "string",
    "id": "string",
    "number": "string",
    "outstanding": "string",
    "status": "string",
    "supplier_id": "string"
  }
  ```
</ResponseExample>
